| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::THM1176Types::uStandardEvent::sStandardEvent Struct Reference

Access the Standard Event Status Register as bit fields. More...

`#include <THM1176Types.h>`

## Public Attributes
U8 | OperationComplete: 1
| *OPC has flagged operation complete
U8 | NA1: 1
| Not Available.
U8 | QueryError: 1
| Error in preceding query.
U8 | DeviceDependentError: 1
| Errors specific to the THM1176, including internal errors.
U8 | ExecutionError: 1
| Error detected during command execution.
U8 | CommandError: 1
| Error in preceding command.
U8 | NA6: 1
| Not Available.
U8 | PowerOn: 1
| THM1176 has been powered up.

## Detailed Description

Access the Standard Event Status Register as bit fields.

Definition at line 105 of file THM1176Types.h.

## Member Data Documentation

## ◆ CommandError

U8 MTL::Instrument::THM1176Types::uStandardEvent::sStandardEvent::CommandError

Error in preceding command.

Definition at line 113 of file THM1176Types.h.

## ◆ DeviceDependentError

U8 MTL::Instrument::THM1176Types::uStandardEvent::sStandardEvent::DeviceDependentError

Errors specific to the THM1176, including internal errors.

Definition at line 111 of file THM1176Types.h.

## ◆ ExecutionError

U8 MTL::Instrument::THM1176Types::uStandardEvent::sStandardEvent::ExecutionError

Error detected during command execution.

Definition at line 112 of file THM1176Types.h.

## ◆ NA1

U8 MTL::Instrument::THM1176Types::uStandardEvent::sStandardEvent::NA1

Not Available.

Definition at line 109 of file THM1176Types.h.

## ◆ NA6

U8 MTL::Instrument::THM1176Types::uStandardEvent::sStandardEvent::NA6

Not Available.

Definition at line 114 of file THM1176Types.h.

## ◆ OperationComplete

U8 MTL::Instrument::THM1176Types::uStandardEvent::sStandardEvent::OperationComplete

*OPC has flagged operation complete

Definition at line 108 of file THM1176Types.h.

## ◆ PowerOn

U8 MTL::Instrument::THM1176Types::uStandardEvent::sStandardEvent::PowerOn

THM1176 has been powered up.

Definition at line 115 of file THM1176Types.h.

## ◆ QueryError

U8 MTL::Instrument::THM1176Types::uStandardEvent::sStandardEvent::QueryError

Error in preceding query.

Definition at line 110 of file THM1176Types.h.

The documentation for this struct was generated from the following file:

- THM1176InstrumentDriver/include/THM1176Types.h